Announcement

Collapse
No announcement yet.

upgrade from 4.2.5 to 5.5.2 - database errors

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • upgrade from 4.2.5 to 5.5.2 - database errors

    I am trying to upgrade from a system running 4.2.5 to 5.5.2. I am getting a database error and it seems as if part of the database restructuring required for the upgrade was not properly completed. I would appreciate assistance resolving the following.


    My upgrade process was:
    1. Cloned the existing site to a new server
    2. Confirmed that 4.2.5 was working properly on this server
    3. Uploaded the 5.5.2 upload directory (minus favicon.ico, core/install/install.php, core/install/makeconfig.php)
    4. Attempted to run /core/install/upgrade.php but got an error that includes/config.php did not exist
    5. Confirmed that includes/config.php existed and had the proper permission. Noticed the changed paths in 5, so copied includes/config.php to core/includes/config.php
    6. Ran /core/install/upgrade.php. After quite some time it reported that it was complete. Back to upgrade, View details showed no errors
    7. Visited /admincp/ and got a Database error page in my browser. (error details from email are below)
    8. Returned to /core/install/upgrade.php, which now reported that instead of 5.5.2, I was on an earlier 5.x release and offered to upgrade me. Unfortunately I did not note that version. I ran upgrade again with no errors
    9. Visited /admincp/ and got a Database error page in my browser. The error details are identical to those received in step 7

    Database error details

    Database error in vBulletin 5.5.2:

    Invalid SQL:

    SELECT languageid,
    phrasegroup_global AS phrasegroup_global,
    phrasegroup_cphome AS phrasegroup_cphome,
    phrasegroup_cpglobal AS phrasegroup_cpglobal,
    phrasegroupinfo AS lang_phrasegroupinfo,
    options AS lang_options,
    languagecode AS lang_code,
    charset AS lang_charset,
    locale AS lang_locale,
    imagesoverride AS lang_imagesoverride,
    dateoverride AS lang_dateoverride,
    timeoverride AS lang_timeoverride,
    registereddateoverride AS lang_registereddateoverride,
    calformat1override AS lang_calformat1override,
    calformat2override AS lang_calformat2override,
    logdateoverride AS lang_logdateoverride,
    decimalsep AS lang_decimalsep,
    thousandsep AS lang_thousandsep
    FROM language
    WHERE languageid = 1;

    MySQL Error : Unknown column 'imagesoverride' in 'field list'
    Error Number : 1054
    Request Date : Tuesday, June 11th 2019 @ 02:06:37 PM
    Error Date : Tuesday, June 11th 2019 @ 02:06:37 PM
    Script : http://X.X.X.X/admincp/
    Referrer :
    IP Address : X.X.X.X
    Username :
    Classname : vB_Database_MySQLi
    MySQL Version :
    Server : X.X.X.X
    User Agent :


    Stack Trace:

    #0 vB_Database->halt() called in [path]/includes/class_core.php on line 1395
    #1 vB_Database_MySQLi->execute_query() called in [path]/includes/class_core.php on line 505
    #2 vB_Database->query_first() called in [path]/includes/class_core.php on line 536
    #3 vB_Database->query_first_slave() called in [path]/includes/class_core.php on line 4075
    #4 vB_Session->fetch_userinfo() called in [path]/includes/init.php on line 660
    #5 require_once([path]/includes/init.php) called in [path]/admincp/global.php on line 35
    #6 require_once([path]/admincp/global.php) called in [path]/admincp/index.php on line 24

    Server configuration
    • CloudLinux 7.6
    • 128 GB RAM
    • 13 GB free disk space
    • PHP 7.2 .13
    • MariaDB 10.2.23

  • #2
    The default imagesoverride field was removed in 5.5.2. You have outdated files you must delete all the default files that ship with vBulletin 4 before uploading the vBulletin 5 files. Having the wrong files in directories will cause errors. The only directories that should be maintained your attachments, customavatars, and sigpic folders if these are stored in the file system. The /admincp/ directory in vBulletin 5 should be completely empty.
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud customization and demonstration site.
    vBulletin 5 Documentation - Updated every Friday. Report issues here.
    vBulletin 5 API - Full / Mobile
    I am not currently available for vB Messenger Chats.

    Comment


    • #3
      Is that step in the upgrading instructions and I completely missed it, or is it not there?

      At this point, how can I recover from this situation? Can I delete everything but attachments, customavatars, and sigpic , then upload the 5.5.2 upload contents again?

      Comment


      • #4
        Should be stated in the online manual, vb5readme.html and the quick install guide on these forum.

        If you installed directly in the public_html directory, then you should delete the contents except the three directories that I mentioned. You'll also want to keep /core/includes/config.php for reference. Once it is is clean, then upload the vBulletin 5 files.

        I recommend manually editing the config.php.new file that comes with vBulletin 5. It contains additional variables that you can set as well as larger image upload sizes than vBulletin 4.X. While you may not need these new variables today, you may want to change them in the future. It is best to have them available.
        Translations provided by Google.

        Wayne Luke
        The Rabid Badger - a vBulletin Cloud customization and demonstration site.
        vBulletin 5 Documentation - Updated every Friday. Report issues here.
        vBulletin 5 API - Full / Mobile
        I am not currently available for vB Messenger Chats.

        Comment

        Related Topics

        Collapse

        Working...
        X